/* Verilog netlist generated by SCUBA Diamond (64-bit) 3.12.0.240.2 */
/* Module Version: 2.8 */
/* D:\hw\lscc\diamond\3.12\ispfpga\bin\nt64\scuba.exe -w -n rom -lang verilog -synth synplify -bus_exp 7 -bb -arch xo2c00 -type rom -addr_width 6 -num_rows 44 -data_width 64 -outdata UNREGISTERED -memfile d:/hw/fpga/cat702/data.mem -memformat hex  */
/* Wed Feb 03 00:22:11 2021 */


`timescale 1 ns / 1 ps
module rom (Address, Q)/* synthesis NGD_DRC_MASK=1 */;
    input wire [5:0] Address;
    output wire [63:0] Q;


    defparam mem_0_63.initval =  64'h000007FFFFF3FFFF ;
    ROM64X1A mem_0_63 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[63]));

    defparam mem_0_62.initval =  64'h0000067FBBB3FBFE ;
    ROM64X1A mem_0_62 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[62]));

    defparam mem_0_61.initval =  64'h0000044F3283FADA ;
    ROM64X1A mem_0_61 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[61]));

    defparam mem_0_60.initval =  64'h0000044D32035ADA ;
    ROM64X1A mem_0_60 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[60]));

    defparam mem_0_59.initval =  64'h0000044500025292 ;
    ROM64X1A mem_0_59 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[59]));

    defparam mem_0_58.initval =  64'h0000004500024082 ;
    ROM64X1A mem_0_58 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[58]));

    defparam mem_0_57.initval =  64'h00000000000C0000 ;
    ROM64X1A mem_0_57 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[57]));

    defparam mem_0_56.initval =  64'h0000080000000000 ;
    ROM64X1A mem_0_56 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[56]));

    defparam mem_0_55.initval =  64'h00000433DE5222D8 ;
    ROM64X1A mem_0_55 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[55]));

    defparam mem_0_54.initval =  64'h00000437DED4B2B2 ;
    ROM64X1A mem_0_54 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[54]));

    defparam mem_0_53.initval =  64'h0000057F9AD57AB2 ;
    ROM64X1A mem_0_53 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[53]));

    defparam mem_0_52.initval =  64'h000008E310C421A5 ;
    ROM64X1A mem_0_52 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[52]));

    defparam mem_0_51.initval =  64'h0000084210A80405 ;
    ROM64X1A mem_0_51 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[51]));

    defparam mem_0_50.initval =  64'h0000020001800001 ;
    ROM64X1A mem_0_50 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[50]));

    defparam mem_0_49.initval =  64'h00000001FC422200 ;
    ROM64X1A mem_0_49 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[49]));

    defparam mem_0_48.initval =  64'h00000432221000D8 ;
    ROM64X1A mem_0_48 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[48]));

    defparam mem_0_47.initval =  64'h00000EFFBA310257 ;
    ROM64X1A mem_0_47 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[47]));

    defparam mem_0_46.initval =  64'h00000EFFB9B32377 ;
    ROM64X1A mem_0_46 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[46]));

    defparam mem_0_45.initval =  64'h00000FFFFD73FF37 ;
    ROM64X1A mem_0_45 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[45]));

    defparam mem_0_44.initval =  64'h000003E35568EC24 ;
    ROM64X1A mem_0_44 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[44]));

    defparam mem_0_43.initval =  64'h00000343552CC8A4 ;
    ROM64X1A mem_0_43 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[43]));

    defparam mem_0_42.initval =  64'h0000000200000800 ;
    ROM64X1A mem_0_42 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[42]));

    defparam mem_0_41.initval =  64'h00000C792030001B ;
    ROM64X1A mem_0_41 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[41]));

    defparam mem_0_40.initval =  64'h000002869A01024C ;
    ROM64X1A mem_0_40 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[40]));

    defparam mem_0_39.initval =  64'h00000E7CDFB32E3F ;
    ROM64X1A mem_0_39 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[39]));

    defparam mem_0_38.initval =  64'h00000E7EDCB20D3B ;
    ROM64X1A mem_0_38 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[38]));

    defparam mem_0_37.initval =  64'h00000E7ACC72197B ;
    ROM64X1A mem_0_37 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[37]));

    defparam mem_0_36.initval =  64'h00000C5BEC5819BB ;
    ROM64X1A mem_0_36 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[36]));

    defparam mem_0_35.initval =  64'h00000D1BEC58D9BB ;
    ROM64X1A mem_0_35 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[35]));

    defparam mem_0_34.initval =  64'h00000C02081C1910 ;
    ROM64X1A mem_0_34 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[34]));

    defparam mem_0_33.initval =  64'h00000CF80330043B ;
    ROM64X1A mem_0_33 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[33]));

    defparam mem_0_32.initval =  64'h00000284DC832A04 ;
    ROM64X1A mem_0_32 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[32]));

    defparam mem_0_31.initval =  64'h000001C046EAFCE7 ;
    ROM64X1A mem_0_31 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[31]));

    defparam mem_0_30.initval =  64'h000003FA66FBF6E3 ;
    ROM64X1A mem_0_30 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[30]));

    defparam mem_0_29.initval =  64'h00000FFF76FFD6F3 ;
    ROM64X1A mem_0_29 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[29]));

    defparam mem_0_28.initval =  64'h00000DDE66DFD63B ;
    ROM64X1A mem_0_28 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[28]));

    defparam mem_0_27.initval =  64'h00000C9866DF163B ;
    ROM64X1A mem_0_27 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[27]));

    defparam mem_0_26.initval =  64'h00000C00CC1D1730 ;
    ROM64X1A mem_0_26 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[26]));

    defparam mem_0_25.initval =  64'h00000080030004E4 ;
    ROM64X1A mem_0_25 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[25]));

    defparam mem_0_24.initval =  64'h0000014045EAF803 ;
    ROM64X1A mem_0_24 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[24]));

    defparam mem_0_23.initval =  64'h0000004801E805C7 ;
    ROM64X1A mem_0_23 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[23]));

    defparam mem_0_22.initval =  64'h0000027129F80DD7 ;
    ROM64X1A mem_0_22 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[22]));

    defparam mem_0_21.initval =  64'h00000EF229F62D47 ;
    ROM64X1A mem_0_21 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[21]));

    defparam mem_0_20.initval =  64'h00000EB279F22D6F ;
    ROM64X1A mem_0_20 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[20]));

    defparam mem_0_19.initval =  64'h000000B4FCE22F6C ;
    ROM64X1A mem_0_19 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[19]));

    defparam mem_0_18.initval =  64'h00000030F661266C ;
    ROM64X1A mem_0_18 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[18]));

    defparam mem_0_17.initval =  64'h000001000080D1C4 ;
    ROM64X1A mem_0_17 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[17]));

    defparam mem_0_16.initval =  64'h000001480168D403 ;
    ROM64X1A mem_0_16 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[16]));

    defparam mem_0_15.initval =  64'h0000030F0085DC20 ;
    ROM64X1A mem_0_15 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[15]));

    defparam mem_0_14.initval =  64'h00000F4E98AD9CB0 ;
    ROM64X1A mem_0_14 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[14]));

    defparam mem_0_13.initval =  64'h00000FCCBAA79E3B ;
    ROM64X1A mem_0_13 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[13]));

    defparam mem_0_12.initval =  64'h00000F8CFFE39A1B ;
    ROM64X1A mem_0_12 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[12]));

    defparam mem_0_11.initval =  64'h0000019C3271880C ;
    ROM64X1A mem_0_11 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[11]));

    defparam mem_0_10.initval =  64'h000001B83260A04C ;
    ROM64X1A mem_0_10 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[10]));

    defparam mem_0_9.initval =  64'h000003060081D900 ;
    ROM64X1A mem_0_9 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[9]));

    defparam mem_0_8.initval =  64'h0000000900040520 ;
    ROM64X1A mem_0_8 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[8]));

    defparam mem_0_7.initval =  64'h00000DF8FFFAF6DF ;
    ROM64X1A mem_0_7 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[7]));

    defparam mem_0_6.initval =  64'h000001B86FD2B65F ;
    ROM64X1A mem_0_6 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[6]));

    defparam mem_0_5.initval =  64'h000001B84DD2B454 ;
    ROM64X1A mem_0_5 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[5]));

    defparam mem_0_4.initval =  64'h000001B84892B054 ;
    ROM64X1A mem_0_4 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[4]));

    defparam mem_0_3.initval =  64'h000001A80010A040 ;
    ROM64X1A mem_0_3 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[3]));

    defparam mem_0_2.initval =  64'h0000018800008000 ;
    ROM64X1A mem_0_2 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[2]));

    defparam mem_0_1.initval =  64'h0000020600010800 ;
    ROM64X1A mem_0_1 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[1]));

    defparam mem_0_0.initval =  64'h0000000100040120 ;
    ROM64X1A mem_0_0 (.AD5(Address[5]), .AD4(Address[4]), .AD3(Address[3]), 
        .AD2(Address[2]), .AD1(Address[1]), .AD0(Address[0]), .DO0(Q[0]));



    // exemplar begin
    // exemplar end

endmodule
